#
# spec file for package pacpl
#
# Copyright (c) 2011-2012 Malcolm J Lewis <malcolmlewis@opensuse.org>
#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

Name:           pacpl
Version:        4.0.5
Release:        5.1
License:        GPL-3.0
Summary:        A tool to convert audio files between many different types
Url:            http://sourceforge.net/projects/pacpl
Group:          Productivity/Multimedia/Sound/Editors and Convertors
Source0:        http://iweb.dl.sourceforge.net/project/pacpl/pacpl/4.0.5/pacpl-4.0.5.tar.gz
# PATCH-FIX-OPENSUSE pacpl-fix-docs-and-paths.patch malcolmlewis@opensuse.org -- Fix docdir and kde4 directory paths, add missing ChangeLog and COPYING
Patch0:         pacpl-fix-docs-and-paths.patch

BuildRequires:  perl(Audio::APETags)
BuildRequires:  perl(Audio::FLAC::Header)
BuildRequires:  perl(Audio::Musepack)
BuildRequires:  perl(Audio::WMA)
BuildRequires:  perl(CDDB_get)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(MP3::Tag)
BuildRequires:  perl(MP4::Info)
BuildRequires:  perl(Ogg::Vorbis::Header)
BuildRequires:  perl(Switch)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)

Recommends:     bonk
Recommends:     cdparanoia
Recommends:     faac
Recommends:     faad2
Recommends:     ffmpeg
Recommends:     flac
Recommends:     lame
Recommends:     mac
Recommends:     mpg123
Recommends:     mplayer
Recommends:     shorten
Recommends:     sox
Recommends:     speex
Recommends:     ttaenc
Recommends:     vorbis-tools
Recommends:     wavpack
Requires:       perl(Audio::APETags)
Requires:       perl(Audio::FLAC::Header)
Requires:       perl(Audio::Musepack)
Requires:       perl(Audio::WMA)
Requires:       perl(CDDB_get)
Requires:       perl(File::Basename)
Requires:       perl(File::Find)
Requires:       perl(File::Spec::Functions)
Requires:       perl(Getopt::Long)
Requires:       perl(MP3::Tag)
Requires:       perl(MP4::Info)
Requires:       perl(Ogg::Vorbis::Header)
Requires:       perl(Switch)
Requires:       perl(strict)
Requires:       perl(warnings)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Perl Audio Converter is a tool for converting multiple audio
types from one format to another. It supports MP2, MP3, Ogg Vorbis,
FLAC,  Shorten,  Monkey  Audio,  FAAC  (AAC/M4A/MP4),  Musepack (MPC),
Wavpack  (WV), OptimFrog (OFR/OFS), TTA, LPAC, Kexis (KXS), AIFF, AC3,
Lossless Audio (LA), BONK, AU, SND, RAW, VOC, SMP, RealAudio (RA/RAM),
WAV,  and  WMA.  It  can  also  convert audio from the following video
formats/extensions:  RM, RV, ASF, DivX, MPG, MKV, MPEG, AVI, MOV, OGM,
QT,  VCD, VOB, and WMV. A CD ripping function with CDDB support, batch
and  playlist conversion, tag preservation for most supported formats,
independent  tag  reading/writing.

%package -n kde4-%{name}-plugins
Summary:        KDE4 plugins
Group:          Productivity/Multimedia/Sound/Editors and Convertors
BuildRequires:  amarok
BuildRequires:  dolphin
BuildRequires:  kdebase4-workspace-devel
BuildRequires:  kdialog
BuildRequires:  konqueror
BuildRequires:  update-desktop-files
Requires:       %{name}
%kde4_runtime_requires

%description -n kde4-%{name}-plugins
Provides a plugin for amaroK and service menus for Dolphin and
Konqueror.

%prep
%setup -q
%patch0

%build
%configure
make %{?_smp_mflags}

%install
%makeinstall
%suse_update_desktop_file %{buildroot}%{_kde_share_dir}/services/pacpl.desktop

%clean
rm -rf '%{buildroot}'

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/%{name}/
%doc %{_docdir}/%{name}/
%{_mandir}/man1/*.gz
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/modules
%config %{_sysconfdir}/%{name}/codecs.conf
%config %{_sysconfdir}/%{name}/pacpl.conf
%config %{_sysconfdir}/%{name}/modules/sample.m

%files -n kde4-%{name}-plugins
%defattr(-,root,root)
%{_kde_share_dir}/services/pacpl.desktop
%{_kde_share_dir}/apps/amarok

%changelog
* Sun Jan 29 2012 malcolmlewis@opensuse.org
- Update requires for perl-Switch.
- Update copyright year.
* Mon Jul 11 2011 malcolmlewis@opensuse.org
- Update Requires for perl modules.
- Updated Recommends for various codecs that are available.
* Sat Jul  9 2011 malcolmlewis@opensuse.org
- Split out the KDE4 components into a subpackage.
* Fri Jul  8 2011 malcolmlewis@opensuse.org
- Initial build.
- pacpl-fix-docs-and-paths.patch added to fix docdir and kde4
  directory paths and add missing ChangeLog and COPYING.
